<?php

$items = $block->getProductCollection()->setPageSize(5)
    ->setCurPage(1)->getItems();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');

$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'featured_image';
$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();
?>
<?php $i=0; foreach ($items as $_product): $i++; 
$images = $objectManager->create('Magento\Catalog\Api\ProductAttributeMediaGalleryManagementInterface')
->getList($_product->getSku());
$productImage = '';
foreach ($images as $image1) {
  $images_types = $image1->getData();
  if(in_array('featured_image', $images_types['types'])){

      $productImage = $_imagehelper->init($_product, 'thumbnail')
                            ->setImageFile($images_types['file'])->constrainOnly(FALSE)->keepAspectRatio(TRUE)->keepFrame(TRUE)->resize(1000,1000)
                            ->getUrl();
   
  }
   
 
}


?>
              <?php //$productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
 <div class="row center-block deal-back-1">
        <div class="col-12 col-md-9 col-sx-12 col-sm-12 center-block">
          <div class="row cards">
            <div class="col-md-5  col-sx-12 col-sm-12 ">
              <div class="product-link-banner" style="margin-top: 10%; margin-left: 10%; font-weight: normal; font-size: 24px;">
                <?php echo $_product->getName(); ?>              
                <div style="margin-top: 5%;">
                     <?php if ($_product->isSaleable()){ ?>
                            <div>
                                <img  src="https://au.alogic.co/media/wysiwyg/25_.png" class="img-responsive off20" >
                              <?php echo $block->getProductPrice($_product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                              
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <?php
                              $blockStockNofity = $this->getLayout()
                              ->createBlock(
                              "Alogic\Customtheme\Block\ProductAlert",
                              "list.page.stocknotify.".$_product->getId(),
                                  [
                                      'data' => [
                                      'prouctinfo' => $_product
                                      ]
                                  ]
                              )->setData('area', 'frontend');
                              ?>
                              <?= /* @escapeNotVerified */ $blockStockNofity->setHtmlClass('notify-box-stock')
                              ->setSignupLabel(__('Notify me when this product is in stock'))
                              ->setTemplate('Magento_ProductAlert::product/view.phtml')
                              ->toHtml();?>
                            </div>
                          <?php }?>
                          <span> 
                </div>
               
              </div>
            </div>
            <div class="col-md-7  col-sx-12 col-sm-12 off"><img class="img-responsive" title="Black Friday Sale" src="<?php echo $productImage; ?>" alt="" width="100%" height=""></div>
          </div>
        </div>
      </div>

 <?php endforeach ?>

